Loading...
Searching...
No Matches
Dune::cpgrid::GlobalIdMapping Class Reference

Class managing the mappings of local indices to global ids. More...

`#include <GlobalIdMapping.hpp>`

Inheritance diagram for Dune::cpgrid::GlobalIdMapping:

## Public Member Functions

void | swap (std::vector< int > &cellMapping, std::vector< int > &faceMapping, std::vector< int > &pointMapping)
| Swap data for initialization.
template<int codim>
std::vector< int > & | getMapping ()
| Get the vector with the mappings for a codimension.
template<int codim>
const std::vector< int > & | getMapping () const
| Get the vector with the mappings for a codimension.

## Protected Attributes

std::vector< int > | cellMapping_
| A vector containing the global id of cell with index i at position i.
std::vector< int > | faceMapping_
| A vector containing the global id of face with index i at position i.
std::vector< int > | pointMapping_
| A vector containing the global id of point with index i at position i.

## Detailed Description

Class managing the mappings of local indices to global ids.

## Member Function Documentation

## getMapping() [1/2]

template<int codim>

std::vector< int > & Dune::cpgrid::GlobalIdMapping::getMapping | ( |  | ) |

inline

Get the vector with the mappings for a codimension.

Template Parameters

  codim | The codimension.

## getMapping() [2/2]

template<int codim>

const std::vector< int > & Dune::cpgrid::GlobalIdMapping::getMapping | ( |  | ) | const

inline

Get the vector with the mappings for a codimension.

Template Parameters

  codim | The codimension.

## swap()

void Dune::cpgrid::GlobalIdMapping::swap | ( | std::vector< int > & | cellMapping,
|  | std::vector< int > & | faceMapping,
|  | std::vector< int > & | pointMapping )

inline

Swap data for initialization.

Parameters

  cellMapping | A vector with global id of index i at position i.
  faceMapping | A vector with global id of index i at position i.
  pointMapping | A vector with global id of index i at position i.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/GlobalIdMapping.hpp